tuibuilder_pel7x64builder0
6 years ago
2 changed files with 169 additions and 0 deletions
@ -0,0 +1,21 @@
@@ -0,0 +1,21 @@
|
||||
diff -dur iec16022-0.2.4.orig/test/testsuite.sh iec16022-0.2.4/test/testsuite.sh |
||||
--- iec16022-0.2.4.orig/test/testsuite.sh 2008-11-30 03:22:32.000000000 +0300 |
||||
+++ iec16022-0.2.4/test/testsuite.sh 2010-06-02 14:15:14.130267000 +0300 |
||||
@@ -8,11 +8,11 @@ |
||||
../iec16022 -o testsuite-test.bin -f Bin -c "Aolash3l dee6Ieke OhBohm1C MengaR9m zaHaoQu2 huW3Uer8 ieg7chaJ haiKua1o" |
||||
../iec16022 -o testsuite-test.hex -f Hex -c "Aolash3l dee6Ieke OhBohm1C MengaR9m zaHaoQu2 huW3Uer8 ieg7chaJ haiKua1o" |
||||
|
||||
-diff -b testsuite-test.text testsuite-example.text && echo "Text test passed" || echo "Text test FAILED" || FAILED=1 |
||||
-diff -b testsuite-test.eps testsuite-example.eps && echo "EPS test passed" || echo "EPS test FAILED" || FAILED=1 |
||||
-diff -b testsuite-test.png testsuite-example.png && echo "PNG test passed" || echo "PNG test FAILED" || FAILED=1 |
||||
-diff -b testsuite-test.bin testsuite-example.bin && echo "Bin test passed" || echo "Bin test FAILED" || FAILED=1 |
||||
-diff -b testsuite-test.hex testsuite-example.hex && echo "Hex test passed" || echo "Hex test FAILED" || FAILED=1 |
||||
+diff -b testsuite-test.text testsuite-example.text && echo "Text test passed" || { echo "Text test FAILED" && FAILED=1 ; } |
||||
+diff -b testsuite-test.eps testsuite-example.eps && echo "EPS test passed" || { echo "EPS test FAILED" && FAILED=1 ; } |
||||
+diff -b testsuite-test.png testsuite-example.png && echo "PNG test passed" || { echo "PNG test FAILED" && FAILED=1 ; } |
||||
+diff -b testsuite-test.bin testsuite-example.bin && echo "Bin test passed" || { echo "Bin test FAILED" && FAILED=1 ; } |
||||
+diff -b testsuite-test.hex testsuite-example.hex && echo "Hex test passed" || { echo "Hex test FAILED" && FAILED=1 ; } |
||||
|
||||
rm testsuite-test.* |
||||
|
||||
Only in iec16022-0.2.4/test: testsuite.sh~ |
@ -0,0 +1,148 @@
@@ -0,0 +1,148 @@
|
||||
# TODO: shared lib calls exit |
||||
|
||||
Name: iec16022 |
||||
Version: 0.2.4 |
||||
Release: 14%{?dist} |
||||
Summary: Generate ISO/IEC 16022 2D barcodes |
||||
|
||||
Group: Applications/Engineering |
||||
License: GPLv2+ |
||||
URL: http://www.datenfreihafen.org/projects/iec16022.html |
||||
Source0: http://www.datenfreihafen.org/~stefan/iec16022/%{name}-%{version}.tar.gz |
||||
Patch0: %{name}-%{version}-test-suite-fix.patch |
||||
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) |
||||
|
||||
## For ARM64 support. |
||||
BuildRequires: autoconf >= 2.69 |
||||
BuildRequires: %{_includedir}/popt.h zlib-devel |
||||
|
||||
|
||||
%description |
||||
iec16022 is a program for producing ISO/IEC 16022 2D barcodes, also |
||||
known as Data Matrix. These barcodes are defined in the ISO/IEC 16022 |
||||
standard. |
||||
|
||||
%package libs |
||||
Summary: ISO/IEC 16022 libraries |
||||
Group: System Environment/Libraries |
||||
|
||||
%description libs |
||||
%{summary}. |
||||
|
||||
%package devel |
||||
Summary: ISO/IEC 16022 development files |
||||
Group: Development/Libraries |
||||
Requires: %{name}-libs%{?_isa} = %{version}-%{release} |
||||
Requires: pkgconfig |
||||
|
||||
%description devel |
||||
%{summary}. |
||||
|
||||
|
||||
%prep |
||||
%setup -q |
||||
%patch0 -p1 -b .orig |
||||
|
||||
|
||||
%build |
||||
%{__autoconf} |
||||
%configure --disable-static |
||||
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool |
||||
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool |
||||
make %{?_smp_mflags} |
||||
|
||||
|
||||
%install |
||||
make install DESTDIR=$RPM_BUILD_ROOT |
||||
rm -f $RPM_BUILD_ROOT%{_libdir}/libiec16022.la |
||||
|
||||
|
||||
%check |
||||
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} |
||||
make -C test check |
||||
|
||||
|
||||
%post libs -p /sbin/ldconfig |
||||
|
||||
%postun libs -p /sbin/ldconfig |
||||
|
||||
|
||||
%files |
||||
%{_bindir}/iec16022 |
||||
%{_mandir}/man1/iec16022.1* |
||||
|
||||
%files libs |
||||
%doc AUTHORS ChangeLog COPYING README TODO |
||||
%{_libdir}/libiec16022.so.* |
||||
|
||||
%files devel |
||||
%{_includedir}/iec16022/ |
||||
%{_libdir}/libiec16022.so |
||||
%{_libdir}/pkgconfig/libiec16022.pc |
||||
|
||||
|
||||
%changelog |
||||
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-14 |
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild |
||||
|
||||
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-13 |
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild |
||||
|
||||
* Sat May 24 2014 Peter Gordon <peter@thecodergeek.com> - 0.2.4-12 |
||||
- Update spec file in accordance with newer packaging guidelines: |
||||
- Remove unnecessary BuildRoot references; |
||||
- Remove %%defattr lines in %%files listings. |
||||
- Rerun autoconf in %%build to update for ARM64 arch support. |
||||
- Fixes bug #925577 (iec16022: Does not support aarch64 in f19 and rawhide) |
||||
|
||||
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-11 |
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild |
||||
|
||||
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-10 |
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild |
||||
|
||||
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-9 |
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild |
||||
|
||||
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-8 |
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild |
||||
|
||||
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-7 |
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild |
||||
|
||||
* Wed Jun 02 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.4-6 |
||||
- Rearranging sed positions. |
||||
|
||||
* Wed Jun 02 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.4-5 |
||||
- Fixed test-suite(wasn't correctly fixed) and devel dependencies. |
||||
|
||||
* Thu May 27 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.4-4 |
||||
- Fixed test-suite and devel dependencies. |
||||
|
||||
* Fri May 21 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.4-3 |
||||
- Modify the spec according to Fedora Package Guidelines. |
||||
|
||||
* Sat Mar 6 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-2 |
||||
- Avoid rpath in executable. |
||||
|
||||
* Sun Oct 18 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-1 |
||||
- 0.2.4. |
||||
|
||||
* Tue Jul 22 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.2.3-1 |
||||
- 0.2.3. |
||||
|
||||
* Sun Dec 30 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.2.2-1 |
||||
- 0.2.2. |
||||
|
||||
* Sat Nov 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.2.1-2 |
||||
- BuildRequire popt-devel. |
||||
- License: GPLv2+ |
||||
|
||||
* Wed Nov 15 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.2.1-1 |
||||
- 0.2.1. |
||||
|
||||
* Sat Sep 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.2-2 |
||||
- Rebuild. |
||||
|
||||
* Mon Apr 17 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.2-1 |
||||
- First build. |
Loading…
Reference in new issue